// notification_api.dart
class NotificationApi {
  static const String notifications = '/api/v1/notifications';
  static String getNotifications({required int limit, required int offset}) {
    return '$notifications?limit=$limit&offset=$offset';
  }

  static const String markAllAsRead = '/api/v1/notifications/mark';
  static const String markAsRead = '/api/v1/notifications/mark-as-read';

  static const String unreadNotifications = '/api/v1/notifications?seen=false';
  static String getUnreadNotifications({required int limit, required int offset}) {
    return '/api/v1/notifications?seen=false&limit=$limit&offset=$offset';
  }

  static String getImportantNotifications({required int limit, required int offset}) {
    return '/api/v1/notifications?priority=important&limit=$limit&offset=$offset';
  }
}